Subject: Re: feature request: view part of file

From: Paul Eggert <[email-masked]>
Date: Thu, 14 Jun 2012 11:21:35 -0700

Following up to the thread at
<http://lists.gnu.org/archive/html/emacs-devel/2012-06/msg00225.html>,
on 06/14/2012 10:32 AM, Stephen J. Turnbull wrote:

> some users did care about files bigger than 512MB

Sam Steingold was talking about the large-file-warning-threshold limit,
which is soft and which defaults to 10 MB, whereas GNU Emacs's hard
512 MiB limit (on 32-bit hosts) is imposed by how fixnums are implemented.

We could increase GNU Emacs's hard limit from 512 MiB to 2 GiB
by making --with-wide-int the default.  This is Emacs bug 8794.
Stefan asked in <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8794#52>
for measurements about the performance consequences of this change.
I haven't gotten around to that, but will try to bump the priority.

I'll CC: this to [email-masked] and ask for replies to
be sent there too, as this topic is a somewhat-separate issue.